net.minecraft.entity

## Class EntityLivingBase

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityLivingBase

- Direct Known Subclasses:
    EntityLiving, EntityPlayer

      public abstract class EntityLivingBase
      extends Entity

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `arrowHitTimer`
    `float` | `attackedAtYaw`
    `protected EntityPlayer` | `attackingPlayer`
    `int` | `attackTime`
    `float` | `cameraPitch`
    `protected boolean` | `dead`
    `int` | `deathTime`
    `protected int` | `entityAge`
    `protected float` | `field_110154_aX`
    `protected float` | `field_70741_aB`
    `protected float` | `field_70763_ax`
    `protected float` | `field_70764_aw`
    `protected float` | `field_70768_au`
    `float` | `field_70769_ao`
    `float` | `field_70770_ap`
    `int` | `hurtTime`
    `protected boolean` | `isJumping`
    `boolean` | `isSwingInProgress`
    `float` | `jumpMovementFactor`
    `protected float` | `lastDamage`
    `float` | `limbSwing`
    `float` | `limbSwingAmount`
    `int` | `maxHurtResistantTime`
    `int` | `maxHurtTime`
    `float` | `moveForward`
    `float` | `moveStrafing`
    `protected int` | `newPosRotationIncrements`
    `protected double` | `newPosX`
    `protected double` | `newPosY`
    `protected double` | `newPosZ`
    `protected double` | `newRotationPitch`
    `protected double` | `newRotationYaw`
    `float` | `prevCameraPitch`
    `float` | `prevHealth`
    `float` | `prevLimbSwingAmount`
    `float` | `prevRenderYawOffset`
    `float` | `prevRotationYawHead`
    `float` | `prevSwingProgress`
    `protected float` | `randomYawVelocity`
    `protected int` | `recentlyHit`
    `float` | `renderYawOffset`
    `float` | `rotationYawHead`
    `protected int` | `scoreValue`
    `float` | `swingProgress`
    `int` | `swingProgressInt`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityLivingBase(World par1World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPotionEffect(PotionEffect par1PotionEffect)`
    `protected float` | `applyArmorCalculations(DamageSource par1DamageSource, float par2)`
    `protected void` | `applyEntityAttributes()`
    `protected float` | `applyPotionDamageCalculations(DamageSource par1DamageSource, float par2)`
    `boolean` | `attackEntityAsMob(Entity par1Entity)`
    `boolean` | `attackEntityFrom(DamageSource par1DamageSource, float par2)`
    `boolean` | `canBeCollidedWith()`
    `boolean` | `canBePushed()`
    `boolean` | `canBreatheUnderwater()`
    `boolean` | `canEntityBeSeen(Entity par1Entity)`
    `void` | `clearActivePotions()`
    `protected void` | `collideWithEntity(Entity par1Entity)`
    `protected void` | `collideWithNearbyEntities()`
    `void` | `curePotionEffects(ItemStack curativeItem)` Removes all potion effects that have curativeItem as a curative item for its effect
    `protected void` | `damageArmor(float par1)`
    `protected void` | `damageEntity(DamageSource par1DamageSource, float par2)`
    `protected int` | `decreaseAirSupply(int par1)`
    `void` | `dismountEntity(Entity par1Entity)`
    `protected void` | `dropEquipment(boolean par1, int par2)`
    `protected void` | `dropFewItems(boolean par1, int par2)`
    `protected void` | `dropRareDrop(int par1)`
    `protected void` | `entityInit()`
    `protected void` | `fall(float par1)`
    `CombatTracker` | `func_110142_aN()`
    `protected float` | `func_110146_f(float par1, float par2)`
    `int` | `func_142015_aE()`
    `protected boolean` | `func_146066_aG()`
    `protected java.lang.String` | `func_146067_o(int p_146067_1_)`
    `EntityLivingBase` | `func_94060_bK()`
    `float` | `getAbsorptionAmount()`
    `PotionEffect` | `getActivePotionEffect(Potion par1Potion)`
    `java.util.Collection` | `getActivePotionEffects()`
    `int` | `getAge()`
    `float` | `getAIMoveSpeed()`
    `EntityLivingBase` | `getAITarget()`
    `boolean` | `getAlwaysRenderNameTagForRender()`
    `int` | `getArrowCountInEntity()`
    `BaseAttributeMap` | `getAttributeMap()`
    `EnumCreatureAttribute` | `getCreatureAttribute()`
    `protected java.lang.String` | `getDeathSound()`
    `IAttributeInstance` | `getEntityAttribute(IAttribute par1Attribute)`
    `abstract ItemStack` | `getEquipmentInSlot(int var1)`
    `protected int` | `getExperiencePoints(EntityPlayer par1EntityPlayer)`
    `float` | `getEyeHeight()`
    `float` | `getHealth()`
    `abstract ItemStack` | `getHeldItem()`
    `protected java.lang.String` | `getHurtSound()`
    `IIcon` | `getItemIcon(ItemStack par1ItemStack, int par2)`
    `abstract ItemStack[]` | `getLastActiveItems()`
    `EntityLivingBase` | `getLastAttacker()`
    `int` | `getLastAttackerTime()`
    `Vec3` | `getLook(float par1)`
    `Vec3` | `getLookVec()`
    `float` | `getMaxHealth()`
    `Vec3` | `getPosition(float par1)`
    `java.util.Random` | `getRNG()`
    `float` | `getRotationYawHead()`
    `protected float` | `getSoundPitch()`
    `protected float` | `getSoundVolume()`
    `float` | `getSwingProgress(float par1)`
    `Team` | `getTeam()`
    `int` | `getTotalArmorValue()`
    `void` | `handleHealthUpdate(byte par1)`
    `void` | `heal(float par1)`
    `protected boolean` | `isAIEnabled()`
    `boolean` | `isChild()`
    `boolean` | `isClientWorld()`
    `boolean` | `isEntityAlive()`
    `boolean` | `isEntityUndead()`
    `protected boolean` | `isMovementBlocked()`
    `boolean` | `isOnLadder()`
    `boolean` | `isOnSameTeam(EntityLivingBase par1EntityLivingBase)`
    `boolean` | `isOnTeam(Team par1Team)`
    `protected boolean` | `isPlayer()`
    `boolean` | `isPlayerSleeping()`
    `boolean` | `isPotionActive(int par1)`
    `boolean` | `isPotionActive(Potion par1Potion)`
    `boolean` | `isPotionApplicable(PotionEffect par1PotionEffect)`
    `protected void` | `jump()`
    `protected void` | `kill()`
    `void` | `knockBack(Entity par1Entity, float par2, double par3, double par5)`
    `void` | `moveEntityWithHeading(float par1, float par2)`
    `protected void` | `onChangedPotionEffect(PotionEffect par1PotionEffect, boolean par2)`
    `void` | `onDeath(DamageSource par1DamageSource)`
    `protected void` | `onDeathUpdate()`
    `void` | `onEntityUpdate()`
    `protected void` | `onFinishedPotionEffect(PotionEffect par1PotionEffect)`
    `void` | `onItemPickup(Entity par1Entity, int par2)`
    `void` | `onLivingUpdate()`
    `protected void` | `onNewPotionEffect(PotionEffect par1PotionEffect)`
    `void` | `onUpdate()`
    `void` | `performHurtAnimation()`
    `MovingObjectPosition` | `rayTrace(double par1, float par3)`
    `void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `removePotionEffect(int par1)`
    `void` | `removePotionEffectClient(int par1)`
    `void` | `renderBrokenItemStack(ItemStack par1ItemStack)`
    `void` | `setAbsorptionAmount(float par1)`
    `void` | `setAIMoveSpeed(float par1)`
    `void` | `setArrowCountInEntity(int par1)`
    `protected void` | `setBeenAttacked()`
    `abstract void` | `setCurrentItemOrArmor(int var1, ItemStack var2)`
    `void` | `setHealth(float par1)`
    `void` | `setJumping(boolean par1)`
    `void` | `setLastAttacker(Entity par1Entity)`
    `void` | `setPositionAndRotation2(double par1, double par3, double par5, float par7, float par8, int par9)`
    `void` | `setPositionAndUpdate(double par1, double par3, double par5)`
    `void` | `setRevengeTarget(EntityLivingBase par1EntityLivingBase)`
    `void` | `setRotationYawHead(float par1)`
    `void` | `setSprinting(boolean par1)`
    `boolean` | `shouldRiderFaceForward(EntityPlayer player)` Returns true if the entity's rider (EntityPlayer) should face forward when mounted.
    `void` | `swingItem()`
    `protected void` | `updateAITasks()`
    `protected void` | `updateAITick()`
    `protected void` | `updateArmSwingProgress()`
    `protected void` | `updateEntityActionState()`
    `protected void` | `updateFallState(double par1, boolean par3)`
    `protected void` | `updatePotionEffects()`
    `void` | `updateRidden()`
    `void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, canRiderInteract, canTriggerWalking, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, func_145748_c_, func_145771_j, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145780_a, func_145781_i, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getCommandSenderName, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getFlag, getMaxInPortalTime, getMaxSafePointTries, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getSplashSound, getSwimSound, getTeleportDirection, getUniqueID, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, interactFirst, isBurning, isCreatureType, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInRangeToRenderDist, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onKillEntity, onStruckByLightning, playSound, preparePlayerToSpawn, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setDead, setEating, setEntityId, setFire, setFlag, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setRotation, setSize, setSneaking, setVelocity, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, shouldSetPosAfterLoading, toString, travelToDimension, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### isSwingInProgress

          public boolean isSwingInProgress

    - #### swingProgressInt

          public int swingProgressInt

    - #### arrowHitTimer

          public int arrowHitTimer

    - #### prevHealth

          public float prevHealth

    - #### hurtTime

          public int hurtTime

    - #### maxHurtTime

          public int maxHurtTime

    - #### attackedAtYaw

          public float attackedAtYaw

    - #### deathTime

          public int deathTime

    - #### attackTime

          public int attackTime

    - #### prevSwingProgress

          public float prevSwingProgress

    - #### swingProgress

          public float swingProgress

    - #### prevLimbSwingAmount

          public float prevLimbSwingAmount

    - #### limbSwingAmount

          public float limbSwingAmount

    - #### limbSwing

          public float limbSwing

    - #### maxHurtResistantTime

          public int maxHurtResistantTime

    - #### prevCameraPitch

          public float prevCameraPitch

    - #### cameraPitch

          public float cameraPitch

    - #### field_70769_ao

          public float field_70769_ao

    - #### field_70770_ap

          public float field_70770_ap

    - #### renderYawOffset

          public float renderYawOffset

    - #### prevRenderYawOffset

          public float prevRenderYawOffset

    - #### rotationYawHead

          public float rotationYawHead

    - #### prevRotationYawHead

          public float prevRotationYawHead

    - #### jumpMovementFactor

          public float jumpMovementFactor

    - #### attackingPlayer

          protected EntityPlayer attackingPlayer

    - #### recentlyHit

          protected int recentlyHit

    - #### dead

          protected boolean dead

    - #### entityAge

          protected int entityAge

    - #### field_70768_au

          protected float field_70768_au

    - #### field_110154_aX

          protected float field_110154_aX

    - #### field_70764_aw

          protected float field_70764_aw

    - #### field_70763_ax

          protected float field_70763_ax

    - #### field_70741_aB

          protected float field_70741_aB

    - #### scoreValue

          protected int scoreValue

    - #### lastDamage

          protected float lastDamage

    - #### isJumping

          protected boolean isJumping

    - #### moveStrafing

          public float moveStrafing

    - #### moveForward

          public float moveForward

    - #### randomYawVelocity

          protected float randomYawVelocity

    - #### newPosRotationIncrements

          protected int newPosRotationIncrements

    - #### newPosX

          protected double newPosX

    - #### newPosY

          protected double newPosY

    - #### newPosZ

          protected double newPosZ

    - #### newRotationYaw

          protected double newRotationYaw

    - #### newRotationPitch

          protected double newRotationPitch

  - ### Constructor Detail

    - #### EntityLivingBase

          public EntityLivingBase(World par1World)

  - ### Method Detail

    - #### entityInit

          protected void entityInit()

      Specified by:
        `entityInit` in class `Entity`

    - #### applyEntityAttributes

          protected void applyEntityAttributes()

    - #### updateFallState

          protected void updateFallState(double par1,
                             boolean par3)

      Overrides:
        `updateFallState` in class `Entity`

    - #### canBreatheUnderwater

          public boolean canBreatheUnderwater()

    - #### onEntityUpdate

          public void onEntityUpdate()

      Overrides:
        `onEntityUpdate` in class `Entity`

    - #### isChild

          public boolean isChild()

    - #### onDeathUpdate

          protected void onDeathUpdate()

    - #### func_146066_aG

          protected boolean func_146066_aG()

    - #### decreaseAirSupply

          protected int decreaseAirSupply(int par1)

    - #### getExperiencePoints

          protected int getExperiencePoints(EntityPlayer par1EntityPlayer)

    - #### isPlayer

          protected boolean isPlayer()

    - #### getRNG

          public java.util.Random getRNG()

    - #### getAITarget

          public EntityLivingBase getAITarget()

    - #### func_142015_aE

          public int func_142015_aE()

    - #### setRevengeTarget

          public void setRevengeTarget(EntityLivingBase par1EntityLivingBase)

    - #### getLastAttacker

          public EntityLivingBase getLastAttacker()

    - #### getLastAttackerTime

          public int getLastAttackerTime()

    - #### setLastAttacker

          public void setLastAttacker(Entity par1Entity)

    - #### getAge

          public int getAge()

    - #### writeEntityToNBT

          public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      Specified by:
        `writeEntityToNBT` in class `Entity`

    - #### readEntityFromNBT

          public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      Specified by:
        `readEntityFromNBT` in class `Entity`

    - #### updatePotionEffects

          protected void updatePotionEffects()

    - #### clearActivePotions

          public void clearActivePotions()

    - #### getActivePotionEffects

          public java.util.Collection getActivePotionEffects()

    - #### isPotionActive

          public boolean isPotionActive(int par1)

    - #### isPotionActive

          public boolean isPotionActive(Potion par1Potion)

    - #### getActivePotionEffect

          public PotionEffect getActivePotionEffect(Potion par1Potion)

    - #### addPotionEffect

          public void addPotionEffect(PotionEffect par1PotionEffect)

    - #### isPotionApplicable

          public boolean isPotionApplicable(PotionEffect par1PotionEffect)

    - #### isEntityUndead

          public boolean isEntityUndead()

    - #### removePotionEffectClient

          public void removePotionEffectClient(int par1)

    - #### removePotionEffect

          public void removePotionEffect(int par1)

    - #### onNewPotionEffect

          protected void onNewPotionEffect(PotionEffect par1PotionEffect)

    - #### onChangedPotionEffect

          protected void onChangedPotionEffect(PotionEffect par1PotionEffect,
                                   boolean par2)

    - #### onFinishedPotionEffect

          protected void onFinishedPotionEffect(PotionEffect par1PotionEffect)

    - #### heal

          public void heal(float par1)

    - #### getHealth

          public final float getHealth()

    - #### setHealth

          public void setHealth(float par1)

    - #### attackEntityFrom

          public boolean attackEntityFrom(DamageSource par1DamageSource,
                                 float par2)

      Overrides:
        `attackEntityFrom` in class `Entity`

    - #### renderBrokenItemStack

          public void renderBrokenItemStack(ItemStack par1ItemStack)

    - #### onDeath

          public void onDeath(DamageSource par1DamageSource)

    - #### dropEquipment

          protected void dropEquipment(boolean par1,
                           int par2)

    - #### knockBack

          public void knockBack(Entity par1Entity,
                       float par2,
                       double par3,
                       double par5)

    - #### getHurtSound

          protected java.lang.String getHurtSound()

    - #### getDeathSound

          protected java.lang.String getDeathSound()

    - #### dropRareDrop

          protected void dropRareDrop(int par1)

    - #### dropFewItems

          protected void dropFewItems(boolean par1,
                          int par2)

    - #### isOnLadder

          public boolean isOnLadder()

    - #### isEntityAlive

          public boolean isEntityAlive()

      Overrides:
        `isEntityAlive` in class `Entity`

    - #### fall

          protected void fall(float par1)

      Overrides:
        `fall` in class `Entity`

    - #### func_146067_o

          protected java.lang.String func_146067_o(int p_146067_1_)

    - #### performHurtAnimation

          public void performHurtAnimation()

      Overrides:
        `performHurtAnimation` in class `Entity`

    - #### getTotalArmorValue

          public int getTotalArmorValue()

    - #### damageArmor

          protected void damageArmor(float par1)

    - #### applyArmorCalculations

          protected float applyArmorCalculations(DamageSource par1DamageSource,
                                     float par2)

    - #### applyPotionDamageCalculations

          protected float applyPotionDamageCalculations(DamageSource par1DamageSource,
                                            float par2)

    - #### damageEntity

          protected void damageEntity(DamageSource par1DamageSource,
                          float par2)

    - #### func_110142_aN

          public CombatTracker func_110142_aN()

    - #### func_94060_bK

          public EntityLivingBase func_94060_bK()

    - #### getMaxHealth

          public final float getMaxHealth()

    - #### getArrowCountInEntity

          public final int getArrowCountInEntity()

    - #### setArrowCountInEntity

          public final void setArrowCountInEntity(int par1)

    - #### swingItem

          public void swingItem()

    - #### handleHealthUpdate

          public void handleHealthUpdate(byte par1)

      Overrides:
        `handleHealthUpdate` in class `Entity`

    - #### kill

          protected void kill()

      Overrides:
        `kill` in class `Entity`

    - #### updateArmSwingProgress

          protected void updateArmSwingProgress()

    - #### getEntityAttribute

          public IAttributeInstance getEntityAttribute(IAttribute par1Attribute)

    - #### getAttributeMap

          public BaseAttributeMap getAttributeMap()

    - #### getCreatureAttribute

          public EnumCreatureAttribute getCreatureAttribute()

    - #### getHeldItem

          public abstract ItemStack getHeldItem()

    - #### getEquipmentInSlot

          public abstract ItemStack getEquipmentInSlot(int var1)

    - #### setCurrentItemOrArmor

          public abstract void setCurrentItemOrArmor(int var1,
                                   ItemStack var2)

      Overrides:
        `setCurrentItemOrArmor` in class `Entity`

    - #### setSprinting

          public void setSprinting(boolean par1)

      Overrides:
        `setSprinting` in class `Entity`

    - #### getLastActiveItems

          public abstract ItemStack[] getLastActiveItems()

      Overrides:
        `getLastActiveItems` in class `Entity`

    - #### getSoundVolume

          protected float getSoundVolume()

    - #### getSoundPitch

          protected float getSoundPitch()

    - #### isMovementBlocked

          protected boolean isMovementBlocked()

    - #### setPositionAndUpdate

          public void setPositionAndUpdate(double par1,
                                  double par3,
                                  double par5)

    - #### dismountEntity

          public void dismountEntity(Entity par1Entity)

    - #### getAlwaysRenderNameTagForRender

          public boolean getAlwaysRenderNameTagForRender()

    - #### getItemIcon

          public IIcon getItemIcon(ItemStack par1ItemStack,
                          int par2)

    - #### jump

          protected void jump()

    - #### moveEntityWithHeading

          public void moveEntityWithHeading(float par1,
                                   float par2)

    - #### isAIEnabled

          protected boolean isAIEnabled()

    - #### getAIMoveSpeed

          public float getAIMoveSpeed()

    - #### setAIMoveSpeed

          public void setAIMoveSpeed(float par1)

    - #### attackEntityAsMob

          public boolean attackEntityAsMob(Entity par1Entity)

    - #### isPlayerSleeping

          public boolean isPlayerSleeping()

    - #### onUpdate

          public void onUpdate()

      Overrides:
        `onUpdate` in class `Entity`

    - #### func_110146_f

          protected float func_110146_f(float par1,
                            float par2)

    - #### onLivingUpdate

          public void onLivingUpdate()

    - #### updateAITasks

          protected void updateAITasks()

    - #### collideWithNearbyEntities

          protected void collideWithNearbyEntities()

    - #### collideWithEntity

          protected void collideWithEntity(Entity par1Entity)

    - #### updateRidden

          public void updateRidden()

      Overrides:
        `updateRidden` in class `Entity`

    - #### setPositionAndRotation2

          public void setPositionAndRotation2(double par1,
                                     double par3,
                                     double par5,
                                     float par7,
                                     float par8,
                                     int par9)

      Overrides:
        `setPositionAndRotation2` in class `Entity`

    - #### updateAITick

          protected void updateAITick()

    - #### updateEntityActionState

          protected void updateEntityActionState()

    - #### setJumping

          public void setJumping(boolean par1)

    - #### onItemPickup

          public void onItemPickup(Entity par1Entity,
                          int par2)

    - #### canEntityBeSeen

          public boolean canEntityBeSeen(Entity par1Entity)

    - #### getLookVec

          public Vec3 getLookVec()

      Overrides:
        `getLookVec` in class `Entity`

    - #### getLook

          public Vec3 getLook(float par1)

    - #### getSwingProgress

          public float getSwingProgress(float par1)

    - #### getPosition

          public Vec3 getPosition(float par1)

    - #### rayTrace

          public MovingObjectPosition rayTrace(double par1,
                                      float par3)

    - #### isClientWorld

          public boolean isClientWorld()

    - #### canBeCollidedWith

          public boolean canBeCollidedWith()

      Overrides:
        `canBeCollidedWith` in class `Entity`

    - #### canBePushed

          public boolean canBePushed()

      Overrides:
        `canBePushed` in class `Entity`

    - #### getEyeHeight

          public float getEyeHeight()

      Overrides:
        `getEyeHeight` in class `Entity`

    - #### setBeenAttacked

          protected void setBeenAttacked()

      Overrides:
        `setBeenAttacked` in class `Entity`

    - #### getRotationYawHead

          public float getRotationYawHead()

      Overrides:
        `getRotationYawHead` in class `Entity`

    - #### setRotationYawHead

          public void setRotationYawHead(float par1)

      Overrides:
        `setRotationYawHead` in class `Entity`

    - #### getAbsorptionAmount

          public float getAbsorptionAmount()

    - #### setAbsorptionAmount

          public void setAbsorptionAmount(float par1)

    - #### getTeam

          public Team getTeam()

    - #### isOnSameTeam

          public boolean isOnSameTeam(EntityLivingBase par1EntityLivingBase)

    - #### isOnTeam

          public boolean isOnTeam(Team par1Team)

    - #### curePotionEffects

          public void curePotionEffects(ItemStack curativeItem)

      Removes all potion effects that have curativeItem as a curative item for its effect
      Parameters:
        `curativeItem` - The itemstack we are using to cure potion effects

    - #### shouldRiderFaceForward

          public boolean shouldRiderFaceForward(EntityPlayer player)

      Returns true if the entity's rider (EntityPlayer) should face forward when mounted. currently only used in vanilla code by pigs.
      Parameters:
        `player` - The player who is riding the entity.
      Returns:
        If the player should orient the same direction as this entity.